### Home Classes Methods

### In Files

- lib/tinymce/rails/asset_installer.rb

### Parent

Object

### Methods

- ::new
- #install

### Class/Module Index

Quicksearch

- TinyMCE
- TinyMCE::JsonManifest
- TinyMCE::NullManifest
- TinyMCE::Rails
- TinyMCE::Rails::AssetInstaller
- TinyMCE::Rails::AssetManifest
- TinyMCE::Rails::Configuration
- TinyMCE::Rails::Configuration::Function
- TinyMCE::Rails::ConfigurationFile
- TinyMCE::Rails::Engine
- TinyMCE::Rails::Helper
- TinyMCE::Rails::MultipleConfiguration
- TinyMCE::YamlManifest

No matching classes.

# TinyMCE::Rails::AssetInstaller

### Public Class Methods

new(assets, target, manifest_path) click to toggle source

    # File lib/tinymce/rails/asset_installer.rb, line 6
    def initialize(assets, target, manifest_path)
      @assets = assets
      @target = target
      @manifest_path = manifest_path || target
    end

### Public Instance Methods

install() click to toggle source

    # File lib/tinymce/rails/asset_installer.rb, line 12
    def install
      cleanup_assets
      copy_assets
      append_to_manifest

      manifest.write
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.